
interfaces:
- accept-all-mac-addresses: true
  dispatch:
    post-activation: "\ndpdk_vfs=\"3\"\nlinux_vfs=\"0 1 2\"\nset +e\nset -x\n\nfor\
      \ vfid in $dpdk_vfs $linux_vfs; do\n    vf_pci_id=$(readlink \"/sys/class/net/$1/device/virtfn$vfid\"\
      ) &&\n    vf_pci_id=$(basename \"$vf_pci_id\") &&\n    modalias=$(cat \"/sys/class/net/$1/device/virtfn$vfid/modalias\"\
      ) &&\n    def_driver=$(modprobe -R \"$modalias\") &&\n    if echo \"$dpdk_vfs\"\
      \ | grep -qw \"$vfid\" && \\\n            ! echo \"$def_driver\" | grep -q ^mlx;\
      \ then\n        driver=vfio-pci\n    else\n        driver=\"$def_driver\"\n\
      \    fi &&\n    cur_drv=$(readlink \"/sys/bus/pci/devices/$vf_pci_id/driver\"\
      ) &&\n    cur_drv=$(basename \"$cur_drv\") &&\n    if ! [ \"$cur_drv\" = \"\
      $driver\" ]; then\n        driverctl --nosave set-override \"$vf_pci_id\" \"\
      $driver\"\n    fi\ndone\n\n"
  ethernet:
    sr-iov:
      drivers-autoprobe: true
      total-vfs: 5
      vfs:
      - id: 0
        spoof-check: false
        trust: true
        vlan-id: 120
      - id: 1
        spoof-check: false
        trust: true
        vlan-id: 122
      - id: 2
        spoof-check: false
        trust: true
        vlan-id: 123
      - id: 3
        spoof-check: false
        trust: true
  ethtool:
    feature:
      hw-tc-offload: false
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: enp6s0f0
  state: up
  type: ethernet

- accept-all-mac-addresses: true
  dispatch:
    post-activation: "\ndpdk_vfs=\"3\"\nlinux_vfs=\"0 1 2\"\nset +e\nset -x\n\nfor\
      \ vfid in $dpdk_vfs $linux_vfs; do\n    vf_pci_id=$(readlink \"/sys/class/net/$1/device/virtfn$vfid\"\
      ) &&\n    vf_pci_id=$(basename \"$vf_pci_id\") &&\n    modalias=$(cat \"/sys/class/net/$1/device/virtfn$vfid/modalias\"\
      ) &&\n    def_driver=$(modprobe -R \"$modalias\") &&\n    if echo \"$dpdk_vfs\"\
      \ | grep -qw \"$vfid\" && \\\n            ! echo \"$def_driver\" | grep -q ^mlx;\
      \ then\n        driver=vfio-pci\n    else\n        driver=\"$def_driver\"\n\
      \    fi &&\n    cur_drv=$(readlink \"/sys/bus/pci/devices/$vf_pci_id/driver\"\
      ) &&\n    cur_drv=$(basename \"$cur_drv\") &&\n    if ! [ \"$cur_drv\" = \"\
      $driver\" ]; then\n        driverctl --nosave set-override \"$vf_pci_id\" \"\
      $driver\"\n    fi\ndone\n\n"
  ethernet:
    sr-iov:
      drivers-autoprobe: true
      total-vfs: 5
      vfs:
      - id: 0
        spoof-check: false
        trust: true
        vlan-id: 120
      - id: 1
        spoof-check: false
        trust: true
        vlan-id: 122
      - id: 2
        spoof-check: false
        trust: true
        vlan-id: 123
      - id: 3
        spoof-check: false
        trust: true
  ethtool:
    feature:
      hw-tc-offload: false
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: enp6s0f1
  state: up
  type: ethernet

- ethernet: {}
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  name: eno1
  state: up
  type: ethernet
- ethernet: {}
  ipv4:
    address:
    - ip: 192.0.50.14
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: eno2
  state: up
  type: ethernet
- ethernet:
    sr-iov:
      total-vfs: 0
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  name: enp130s0f0
  state: up
  type: ethernet
- ethernet:
    sr-iov:
      total-vfs: 0
  ipv4:
    auto-gateway: false
    dhcp: false
    enabled: false
  ipv6:
    auto-gateway: false
    autoconf: false
    dhcp: false
    enabled: false
  name: enp130s0f1
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f0v0
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f1v0
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f0v1
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f1v1
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f0v2
  state: up
  type: ethernet
- accept-all-mac-addresses: true
  ethernet: {}
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: enp6s0f1v2
  state: up
  type: ethernet
- ipv4:
    address:
    - ip: 10.10.121.157
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: br-link0
  state: up
  type: ovs-interface
- dpdk:
    devargs: '0000:06:02.3'
    rx-queue: 1
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: dpdk0
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- dpdk:
    devargs: '0000:06:06.3'
    rx-queue: 1
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: dpdk1
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: br-dpdk0
  state: up
  type: ovs-interface
- dpdk:
    devargs: 0000:82:00.2
    rx-queue: 1
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: dpdk2
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  mtu: 9000
  name: br-dpdk1
  state: up
  type: ovs-interface
- dpdk:
    devargs: 0000:82:00.3
    rx-queue: 1
  ipv4:
    dhcp: false
    enabled: false
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  name: dpdk3
  ovs-db:
    external_ids: {}
    other_config: {}
  state: up
  type: ovs-interface
- bridge:
    options:
      datapath: netdev
      fail-mode: standalone
      mcast-snooping-enable: false
      rstp: false
      stp: false
    port:
    - link-aggregation:
        mode: active-backup
        ovs-db:
          other_config:
            bond-primary: dpdk0
        port:
        - name: dpdk0
        - name: dpdk1
      name: dpdkbond0
    - name: br-link0
      vlan:
        mode: access
        tag: 121
  name: br-link0
  ovs-db:
    external_ids: {}
    other_config:
      mac-table-size: 50000
  state: up
  type: ovs-bridge
- bridge:
    options:
      datapath: netdev
      fail-mode: standalone
      mcast-snooping-enable: false
      rstp: false
      stp: false
    port:
    - name: dpdk2
    - name: br-dpdk0
  name: br-dpdk0
  ovs-db:
    external_ids: {}
    other_config:
      mac-table-size: 50000
  state: up
  type: ovs-bridge
- bridge:
    options:
      datapath: netdev
      fail-mode: standalone
      mcast-snooping-enable: false
      rstp: false
      stp: false
    port:
    - name: dpdk3
    - name: br-dpdk1
  name: br-dpdk1
  ovs-db:
    external_ids: {}
    other_config:
      mac-table-size: 50000
  state: up
  type: ovs-bridge
- ipv4:
    address:
    - ip: 10.10.120.178
      prefix-length: 24
    auto-dns: false
    dhcp: false
    enabled: true
  ipv6:
    auto-dns: false
    autoconf: false
    dhcp: false
    enabled: false
  link-aggregation:
    mode: active-backup
    port:
    - enp6s0f0v0
    - enp6s0f1v0
  name: bond_api
  state: up
  type: bond
- ipv4:
    address:
    - ip: 10.10.122.181
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  link-aggregation:
    mode: active-backup
    port:
    - enp6s0f0v1
    - enp6s0f1v1
  name: storage_bond
  state: up
  type: bond
- ipv4:
    address:
    - ip: 10.10.123.120
      prefix-length: 24
    dhcp: false
    enabled: true
  ipv6:
    autoconf: false
    dhcp: false
    enabled: false
  link-aggregation:
    mode: active-backup
    port:
    - enp6s0f0v2
    - enp6s0f1v2
  name: mgmtst_bond
  state: up
  type: bond
